/* xxxs */
/* @media (min-width: 320px) {} */

/* xxs */
/* @media (min-width: 380px) {} */

/* xs */
/* @media (min-width: 475px) {} */

/* sm */
/* @media (min-width: 640px) {} */

/* md */
/* @media (min-width: 768px) {} */

/* lg */
/* @media (min-width: 1024px) {} */

/* xl */
/* @media (min-width: 1280px) {} */

/* 2xl */
/* @media (min-width: 1536px) {} */

@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500&display=swap");

:root {
  /* Colors */
  --clr-bg-black: #000;
  --clr-text-black: #000;
  --clr-border-black: #adb5bd;
  --clr-description-black: #343a40;

  --clr-100-black: #f8f9fa;
  --clr-200-black: #e9ecef;
  --clr-300-black: #dee2e6;
  --clr-400-black: #ced4da;
  --clr-500-black: #adb5bd;
  --clr-600-black: #6c757d;
  --clr-700-black: #495057;
  --clr-800-black: #343a40;
  --clr-800-black: #212529;

  --clr-bg-white: #ffffff;
  --clr-text-white: #ffffff;

  --clr-primary-bg-green: #04e762;
  --clr-primary-text-green: #04e762;
  --clr-light-bg-green: #e5fff0;
  --clr-primary-700-green: #04b04b;

  --clr-primary-bg-orange: #f75f39;
  --clr-primary-text-orange: #f75f39;

  --clr-error-text-red: #ff1e1e;

  /* Default Sizes */
  --size-xxs: 0.625rem;
  --size-xxs: 0.75rem;
  --size-xs: 0.875rem;
  --size-sm: 0.875rem;
  --size-base: 1rem;
  --size-lg: 1.125rem;
  --size-xl: 1.25rem;
  --size-2xl: 1.5rem;
  --size-3xl: 1.75rem;
  --size-4xl: 1.875rem;
  --size-5xl: 2rem;
  --size-6xl: 2.5rem;
  --size-7xl: 3rem;
  --size-8xl: 3.25rem;

  /* Custom Sizes */
  --size-hero-heading: 5.125rem;
  --size-section-heading: 3.5rem;
  --size-section-sub-heading: 2.25rem;

  --size-tablet-hero-heading: 3.25rem;
  --size-tablet-section-heading: 2.75rem;
  --size-tablet-section-sub-heading: 1.5rem;

  --size-mobile-hero-heading: 2.5rem;
  --size-mobile-section-heading: 2.125rem;
  --size-mobile-section-sub-heading: 2rem;
}

* {
  margin: 0;
  line-height: calc(1em + 0.5rem);
}

html {
  scroll-behavior: smooth;
}

body {
  font-family: "Poppins", sans-serif;
  background-color: var(--clr-bg-white);
  color: var(--clr-white);
  /* margin-bottom: 5000px; */
}

img,
picture,
video,
canvas,
svg {
  display: block;
  max-width: 100%;
  user-select: none;
}

button {
  display: inline-block;
  padding: 0;
  border: none;
  background: none;
  cursor: pointer;
  color: inherit;
}

a {
  color: var(--clr-blue000);
  text-decoration: none;
}

.container {
  width: 100%;
  max-width: 1440%;
  margin-left: auto;
  margin-right: auto;
  padding-left: 1.5rem;
  padding-right: 1.5rem;
  /* border: 1px solid red; */
}

.hero-section-mg {
  padding-top: 8rem;
}

.section-mg {
  margin-top: 9.3rem;
}

.element-animation-wrapper {
  overflow: hidden;
}


/* xs */
@media (min-width: 475px) {
  .container {
    max-width: 475px;
  }
}

/* sm */
@media (min-width: 640px) {
  .container {
    max-width: 640px;
  }
}

/* md */
@media (min-width: 768px) {
  .container {
    max-width: 768px;
  }
}

/* lg */
@media (min-width: 1024px) {
  .container {
    max-width: 1024px;
    padding-left: 2.5rem;
    padding-right: 2.5rem;
  }

  .hero-section-mg {
    padding-top: 11.5rem;
  }
}

/* xl */
@media (min-width: 1280px) {
  .container {
    max-width: 1280px;
  }
}

/* 2xl */
@media (min-width: 1440px) {
  .container {
    max-width: 1400px;
  }
}
